Show / Hide Table of Contents

# Class IpcLengthMismatchError

This exception is thrown when an IPC method is invoked and the number of types does not match what was previously registered.

##### Inheritance

System.Object
System.Exception
IpcError
IpcLengthMismatchError

##### Implements

System.Runtime.Serialization.ISerializable

##### Inherited Members

System.Exception.GetBaseException()
System.Exception.GetObjectData(System.Runtime.Serialization.SerializationInfo, System.Runtime.Serialization.StreamingContext)
System.Exception.GetType()
System.Exception.ToString()
System.Exception.Data
System.Exception.HelpLink
System.Exception.HResult
System.Exception.InnerException
System.Exception.Message
System.Exception.Source
System.Exception.StackTrace
System.Exception.TargetSite
System.Exception.SerializeObjectState
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Dalamud.Plugin.Ipc.Exceptions

###### Assembly: Dalamud.dll

##### Syntax

    public class IpcLengthMismatchError : IpcError, ISerializable

### Constructors

| Improve this Doc View Source

#### IpcLengthMismatchError(String, Int32, Int32)

Initializes a new instance of the IpcLengthMismatchError class.

##### Declaration

    public IpcLengthMismatchError(string name, int requestedLength, int actualLength)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name | Name of the IPC method.
System.Int32 | requestedLength | The amount of types requested when checking out the IPC.
System.Int32 | actualLength | The amount of types registered by the IPC.

### Implements

System.Runtime.Serialization.ISerializable